<template>
  <i-wrapper top>
    <div class="container d-flex flex-column align-items-center">
      <div class="p-title">Astrologers</div>
      <div class="p-information">
        <img src="~assets/images/astrologers-information-question.svg" class="p-information__image" />
        We provide the reports in English
      </div>
      <div class="p-about">
        <div class="p-about__header">
          <div class="p-about-point">
            <img src="~assets/images/astrologers-nasa-data.svg" class="p-about-point__image" />
            <span class="p-about-point__title">NASA Data</span>
          </div>
          <img src="~assets/images/scientist-circle.png" class="p-about__scientist" />
          <div class="p-about-point">
            <img src="~assets/images/astrologers-expert-insights.svg" class="p-about-point__image" />
            <span class="p-about-point__title">Expert insights</span>
          </div>
        </div>
        <div class="p-about__title">Human astrologies & AI</div>
        <div class="p-about__tag">Western Astrology</div>
      </div>
      <nuxt-link
        v-for="report in reports"
        :key="report.type"
        tag="div"
        class="p-card"
        :to="{ name: 'astrologers.reportType', params: { reportType: report.type } }">
        <div class="p-card__header">
          <img src="~assets/images/astrologers-natal-chart.svg" class="p-card__image" />
          <div class="p-card__title">{{ $t(`astrologerTitles.${report.type}`) }}</div>
        </div>
        <div v-if="report.isOrdered" class="p-card__ordered">Ordered</div>
        <div class="p-card__description">
          {{ $t(`astrologerShortDescriptions.${report.type}`) }}
        </div>
        <img src="~assets/images/arrow-forward.svg" class="p-card__arrow" />
      </nuxt-link>
    </div>
    <template #bottom>
      <i-bottom-panel />
    </template>
  </i-wrapper>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    layout: 'default',
    nuxtI18n: false,
    middleware: ['logged-in-only'],

    data() {
      return {
        reportTypes: ['natal-chart', 'synastry-report', 'transit-report'],
      };
    },

    computed: {
      ...mapState(['auth']),

      reports() {
        return this.reportTypes.map((reportType) => {
          return {
            type: reportType,
            isOrdered: !!this.auth.user.reports.find((report) => report.type === reportType),
          };
        });
      },
    },
  };
</script>

<style lang="scss" scoped>
  .p-title {
    color: #fff;
    font-size: rf(30px);
    font-weight: bold;
    text-align: center;
    margin-top: rs(5px);
  }

  .p-information {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    height: rs(53px);
    background-color: #fff1f1;
    border-radius: rs(20px);
    box-shadow: 0 rs(5px) rs(10px) rgba(#000, 15%);
    color: #fb7474;
    margin-top: rs(20px);
  }

  .p-information__image {
    width: rs(33px);
    height: rs(33px);
    margin-left: rs(19px);
    margin-right: rs(13px);
  }

  .p-about {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: #fff;
    border-radius: rs(20px);
    box-shadow: 0 5px 10px rgba(#000, 15%);
    margin-top: rs(15px);
    padding-top: rs(15px);
    padding-bottom: rs(20px);
  }

  .p-about__header {
    display: flex;
    align-items: center;
    justify-content: space-around;
  }

  .p-about__title {
    color: #524c62;
    font-size: rf(20px);
    font-weight: bold;
    text-align: center;
    margin-top: rs(14px);
  }

  .p-about__tag {
    display: inline-flex;
    align-items: center;
    background-color: #fa7d70;
    font-size: rf(14px);
    color: #fff;
    height: rs(22px);
    padding: 0 rs(11px);
    border-radius: rs(11px);
    margin-top: rs(10px);
    margin-left: auto;
    margin-right: auto;
  }

  .p-about__scientist {
    width: rs(112px);
  }

  .p-about-point {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-basis: 40%;
  }

  .p-about-point__image {
    width: rs(46px);
    height: rs(46px);
  }

  .p-about-point__title {
    color: #524c62;
    font-size: rf(14px);
    font-weight: bold;
    margin-top: rs(5px);
  }

  .p-card {
    position: relative;
    width: 100%;
    // height: rs(123px);
    background-color: #fff;
    border-radius: rs(20px);
    box-shadow: 0 rs(5px) rs(10px) rgba(#000, 15%);
    padding: rs(15px) rs(40px) rs(15px) rs(30px);
    margin-top: rs(15px);
    cursor: pointer;
  }

  .p-card__header {
    display: flex;
    align-items: center;
    width: 100%;
  }

  .p-card__image {
    width: rs(20px);
    height: rs(20px);
  }

  .p-card__title {
    color: #524c62;
    font-size: rf(20px);
    font-weight: bold;
    margin-left: rs(15px);
  }

  .p-card__ordered {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: rs(22px);
    padding: 0 rs(11px);
    border-radius: rs(11px);
    background-color: #fa7d70;
    font-size: rf(14px);
    color: #fff;
    margin-top: rs(7px);
  }

  .p-card__description {
    color: #524c62;
    font-size: rf(14px);
    line-height: 140%;
    margin-top: rs(5px);
  }

  .p-card__arrow {
    position: absolute;
    top: 50%;
    right: rs(15px);
    width: rs(36px);
    height: rs(36px);
    transform: translateY(-50%);
  }
</style>
